Subject: RE: [nemo] RE: about the Home Network Models WG item

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 6 Jan 2005 18:15:43 +0100

In fact, extended means versus the MIP Home Agent which is the 'basic'.
In all modes, we can take the Home Address from a Mobile Network. But I
agree with Alex it's a bit complex (actually almost against nature :) to
do it with extended mode. OTOH, it seems to me that it's the preferred
mode in the aggregated case. Comments anybody?

My suggestion to fix this issue is:

1) to explain better that extended is versus MIP Home at the beginning
of that section

2) to describe better the case where the Home Address is taken from the
Home Link in extended and say it's the preferred mode, and explain why

3) in aggregated, say that the address is taken from the MNP and explain
why (DAD related).

Once we agree no the approach we can start proposing text :)

Pascal

| -----Original Message-----
| From: Daniel Shell (dshell)
| Sent: Wednesday, January 05, 2005 7:24 PM
| To: Alexandru Petrescu
| Cc: Pascal Thubert (pthubert); [email-masked]
| Subject: Re: [nemo] RE: about the Home Network Models WG item
| 
| Sounds good to have the sections labelled
| 
| Basic
| Extended
| Aggregated
| Virtual
| 
| Would like to see what Pascal says though.
| 
| 
| 
| 
| At 06:58 PM 1/5/2005 +0100, Alexandru Petrescu wrote:
| >Pascal Thubert (pthubert) wrote:
| >[...]
| >>please present on this list at this time, and if you get enough
support,
| >>I'll do the changes as required.
| >
| >I do not think in the simplest Home Network configuration the MR may
use
| >a Home Address derived from the prefix assigned on its moving network
| >link, the MNP.  In the simplest cases, the MR Home Address is derived
| >from the prefix valid on the Home Link.
| >
| >Or, section 4.1 Extended Home Network configuration has a last item
| saying:
| >>Alternatively, a Mobile Router could also form a Home Address from
| >>one of its prefixes and use it to register[...]
| >
| >I think this kind of item should belong to other more complex Home
| Network
| >configurations.
| >
| >Besides, I think that a useful informational document on the types of
| home
| >networks should describe several such networks - in the order of
| >simplicity - starting first from the most simple and basic and
obvious
| and
| >only later to the most exotic.
| >
| >Or, while the current document does describe three such networks,
there
| >does not seem to be an order from basic to complex.  The first
described
| >is already "Extended" and the other two are "Aggregated" and
| >"Virtual".  The "Aggregated" is a little more complex than the
"Extended"
| >in that the MR looks up its MNNs via ND on the Home Link, which is a
| >little exotic feature.  The "Virtual" model is the most exotic in
that
| >there is no returning home procedure for example.
| >
| >So, I understand there is a form of scale on differentiation, from
the
| >most basic up to the most complex, but the most basic is still called
| >"Extended" and allows MR HoA from MNP.
| >
| >Hence my proposal to call the basic model just "Basic Home Network"
and
| >this model not to use MR Home Address from the MNP.  Alternatively, I
| >propose to introduce a 4th model, called "Basic Home Network Model",
that
| >would come before the other three models, and in which MR would only
| >construct its Home Address from the prefix on the home link, that
would
| >perform ND for that address, that would implement the NEMO Returning
Home
| >procedure and for which address the HA performs proxy ND when MR not
at
| >home, according to Mobile IPv6.
| >
| >What do you think Pascal?  What do the others think?
| >
| >Alex
| 
| Dan Shell
| Government Service Unit
| CISCO Systems
| IP mobility/Wireless/Satellite
| 440 331 5663

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 06 Jan 2005 19:33:32 +0100

Ah, I understand that for you "extended" means MRs at home instead of 
simply MIP6 MHs at home.  Just that in this simple extension there is no 
HoA from MNP.

Pascal Thubert (pthubert) wrote:
> 1) to explain better that extended is versus MIP Home at the 
> beginning of that section

At which point one would need to explain what a "MIP Home model" is, a
sub-section on its own.

> 2) to describe better the case where the Home Address is taken from 
> the Home Link in extended and say it's the preferred mode, and 
> explain why
> 
> 3) in aggregated, say that the address is taken from the MNP and 
> explain why (DAD related).
> 

Once we get a common understanding the text should flow seamlessly IMHO.

Alex